org.keycloak.protocol

## Interface LoginProtocolFactory

- All Superinterfaces:
    ProviderFactory<LoginProtocol>
  All Known Implementing Classes:
    AbstractLoginProtocolFactory, DockerAuthV2ProtocolFactory, OIDCLoginProtocolFactory, SamlProtocolFactory

      public interface LoginProtocolFactory
      extends ProviderFactory<LoginProtocol>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createDefaultClientScopes(RealmModel newRealm, boolean addScopesToExistingClients)` Called when new realm is created
    `Object` | `createProtocolEndpoint(RealmModel realm, EventBuilder event)`
    `Map<String,ProtocolMapperModel>` | `getBuiltinMappers()` List of built in protocol mappers that can be used to apply to clients.
    `void` | `setupClientDefaults(ClientRepresentation rep, ClientModel newClient)` Setup default values for new clients.

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, getId, init, order, postInit`

- - ### Method Detail

    - #### getBuiltinMappers

          Map<String,ProtocolMapperModel> getBuiltinMappers()

      List of built in protocol mappers that can be used to apply to clients.
      Returns:

    - #### createProtocolEndpoint

          Object createProtocolEndpoint(RealmModel realm,
                                        EventBuilder event)

    - #### createDefaultClientScopes

          void createDefaultClientScopes(RealmModel newRealm,
                                         boolean addScopesToExistingClients)

      Called when new realm is created
      Parameters:
        `newRealm` -
        `addScopesToExistingClients` - If true, then existing realm clients will be updated (created realm default scopes will be added to them)

    - #### setupClientDefaults

          void setupClientDefaults(ClientRepresentation rep,
                                   ClientModel newClient)

      Setup default values for new clients. This expects that the representation has already set up the client
      Parameters:
        `rep` -
        `newClient` -

Copyright © 2020 JBoss by Red Hat. All rights reserved.